> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/containers/private-container-registry/api-howtos.md).

# API How-Tos

The <code class="expression">space.vars.ionos\_cloud</code> Private Container Registry service allows you to manage Docker and OCI compatible registries for use by your managed Kubernetes clusters. Configure a Private Container Registry to ensure secure and reliable image pulling.

## Quick Links

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><mark style="color:blue;"><strong>GET Locations</strong></mark></td><td>Learn how to retrieve a container Private Container Registry location.</td><td><a href="/cloud/containers/private-container-registry/api-howtos/locations.md">Retrieve Private Container Registry Locations</a></td></tr><tr><td><mark style="color:blue;"><strong>GET Registries</strong></mark></td><td>Learn how to retrieve existing registries.</td><td><a href="/cloud/containers/private-container-registry/api-howtos/registries.md">Retrieve Private Container Registries</a></td></tr><tr><td><mark style="color:blue;"><strong>GET Registry by ID</strong></mark></td><td>Learn how to fetch Private Container Registry information by ID.</td><td><a href="/cloud/containers/private-container-registry/api-howtos/registry_id.md">Retrieve a Private Container Registry by ID</a></td></tr><tr><td><mark style="color:blue;"><strong>Create Private Container Registry</strong></mark></td><td>Learn how to create a new Private Container Registry.</td><td><a href="/cloud/containers/private-container-registry/api-howtos/create_registry.md">Create a Private Container Registry</a></td></tr><tr><td><mark style="color:blue;"><strong>Create Registry Token</strong></mark></td><td>Learn how to create a Private Container Registry token.</td><td><a href="/cloud/containers/private-container-registry/api-howtos/create_token.md">Create a Private Container Registry Token</a></td></tr><tr><td><mark style="color:blue;"><strong>Delete Repository</strong></mark></td><td>Learn how to delete a repository.</td><td><a href="/cloud/containers/private-container-registry/api-howtos/delete_repo.md">Delete Repository</a></td></tr><tr><td><mark style="color:blue;"><strong>Delete Token</strong></mark></td><td>Learn how to delete a Private Container Registry token.</td><td><a href="/cloud/containers/private-container-registry/api-howtos/delete_token.md">Delete Token</a></td></tr><tr><td><mark style="color:blue;"><strong>Delete Private Container Registry</strong></mark></td><td>Learn how to delete your Private Container Registry.</td><td><a href="/cloud/containers/private-container-registry/api-howtos/delete_registry.md">Delete a Private Container Registry</a></td></tr></tbody></table>

## ContainerRegistry API - OpenAPI Specification

{% embed url="<https://docs.ionos.com/cloud/api-reference/containers/private-container-registry/>" %}
Click here for the OpenAPI Specification File
{% endembed %}

**Endpoint:** `https://api.ionos.com/containerregistries`

To make authenticated requests to the API, you must include a few fields in the request headers. Please find relevant descriptions below:

## Request parameter headers

| **Header**            | **Required** | **Type** | **Description**                                                                              |
| --------------------- | :----------: | :------: | -------------------------------------------------------------------------------------------- |
| **Authorization**     |      yes     |  string  | The `Bearer token`.                                                                          |
| **X-Contract-Number** |      no      |  integer | Users with more than one contract may apply this header to indicate the applicable contract. |
| **Content-Type**      |      yes     |  string  | Set this to `application/json`.                                                              |

## Examples

We use `curl` in our examples, as this tool is available on Windows 10, Linux, and macOS. If you encounter any problems, refer to our blog post about `curl` on Windows:

{% embed url="<https://www.ionos.com/digitalguide/server/tools/introduction-to-curl-in-linux>" %}

{% embed url="<https://www.ionos.com/digitalguide/server/tools/introduction-to-curl-in-windows>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/containers/private-container-registry/api-howtos.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
